# Class JELArrayFunction.XResolver

java.lang.Object
gnu.jel.DVMap
uk.ac.starlink.ttools.jel.JELArrayFunction.XResolver

Enclosing class:
  `JELArrayFunction<I,O>`

public static class JELArrayFunction.XResolver extends gnu.jel.DVMap
This public class is an implementation detail, not intended for external use.

Since:
  23 Mar 2021
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getBooleanProperty(String name)`
`byte`
`getByteProperty(String name)`
`char`
`getCharProperty(String name)`
`double`
`getDoubleProperty(String name)`
`float`
`getFloatProperty(String name)`
`int`
`getIntProperty(String name)`
`long`
`getLongProperty(String name)`
`Object`
`getObjectProperty(String name)`
`short`
`getShortProperty(String name)`
`String`
`getStringProperty(String name)`
`String`
`getTypeName(String name)`

### Methods inherited from class gnu.jel.DVMap

`translate`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeName

public String getTypeName(String name)

Specified by:
  `getTypeName` in class `gnu.jel.DVMap`

### getByteProperty

public byte getByteProperty(String name)

### getShortProperty

public short getShortProperty(String name)

### getIntProperty

public int getIntProperty(String name)

### getLongProperty

public long getLongProperty(String name)

### getFloatProperty

public float getFloatProperty(String name)

### getDoubleProperty

public double getDoubleProperty(String name)

### getBooleanProperty

public boolean getBooleanProperty(String name)

### getCharProperty

public char getCharProperty(String name)

### getStringProperty

public String getStringProperty(String name)

### getObjectProperty

public Object getObjectProperty(String name)